
Redmine - Feature #4363

Change the calendar pop-up to start on Monday to tie up with ISO week numbers

2009-12-08 14:07 - Anonymous

Status: Closed Start date: 2009-12-08

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

The time reports allow you to group items by week number.  ISO week numbers run Monday-Sunday.  The calendar pop-up displays

Sunday-Saturday which isn't as useful when trying to pick dates to show a report for a specific set of weeks.

Please can the calendar pop-up be changed to show weeks beginning on a Monday to avoid confusion as to what 'redmine' weeks

are.

Currently running Redmine-0.8.7

Associated revisions

Revision 3166 - 2009-12-13 05:06 - Eric Davis

Added a setting to configure the day that week start on (Monday or Sunday). (#4363)

History

#1 - 2009-12-08 14:46 - Jean-Philippe Lang

- Category changed from Time tracking to UI

#2 - 2009-12-09 04:16 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

- Target version set to 0.9.0

I have a small patch from a customer that adds a system-wide setting to pick what day calendars should start on:

Based on language (default) (current behavior)

Sunday (US-like)

Monday (EU-like)

#3 - 2009-12-09 14:46 - Anonymous

That sounds great.  However, if the start day was Sunday, would that affect how week numbers were generated in time reports too?

#4 - 2009-12-13 04:59 - Eric Davis

- Status changed from 7 to Closed

- % Done changed from 0 to 100

- Resolution set to Fixed

Added a setting to change the start of the week for the calendars (popup calendar and the issues calendar).  The three options are: Language

(default), Sunday, and Monday.

Russell Hind wrote:

That sounds great.  However, if the start day was Sunday, would that affect how week numbers were generated in time reports too?

 Ruby on Rails (which Redmine is built on) uses Monday as the start of the week and Sunday as the end of the week.  So Redmine will use Monday

through Sunday when it is calculating week numbers.
#5 - 2009-12-13 12:05 - Anonymous

Thanks Eric, that sounds great.

#6 - 2025-02-12 15:10 - Eugene Belford

guys why is this closed? iam on a 5.1.3 and my calendar widget didnt respects start_of_the_week setting at all

week always starts on sunday

#7 - 2025-02-12 19:14 - Holger Just

Eugene Belford If you observe a new error, you should open a new issue. Comments on 15-year closed issues may not be seen by many people...

In any case, note that for quite some time, the datepicker control is generally provided entirely by your browser rather than being something provided

by Redmine (similar to checkboxes, text fields, select boxes, whose behavior is also governe4d by the browser and the OS it runs on).

Your browser will generally follow the date setting defined within your operation system when showing the control. To use Monday as the first day of

the week in the datepicker, you should thus reconfigure your operating system to that setting.
